# Conversations

Everything about your Conversations

 - [POST /conversations/{conversation_id}/tags](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/attachtagtoconversation.md): You can tag a specific conversation. This will return a tag object for the tag that was added to the conversation.
 - [DELETE /conversations/{conversation_id}/tags/{tag_id}](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/detachtagfromconversation.md): You can remove tag from a specific conversation. This will return a tag object for the tag that was removed from the conversation.
 - [GET /conversations](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/listconversations.md): You can fetch a list of all conversations. You can optionally request the result page size and the cursor to start after to fetch the result. You can use pagination to limit the number of results retu
 - [POST /conversations](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/createconversation.md): You can create a conversation that has been initiated by a contact (ie. user or lead). You can also send a message from a visitor by specifying their `user_id` or `id` value in the `from` field, along
 - [GET /conversations/{conversation_id}](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/retrieveconversation.md): You can fetch the details of a single conversation. This will return a single Conversation model with all its conversation parts. The maximum number of conversation parts that can be returned via the
 - [PUT /conversations/{conversation_id}](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/updateconversation.md): You can update an existing conversation. If you want to reply to a coveration or take an action such as assign, unassign, open, close or snooze, take a look at the reply and manage endpoints. The `PUT
 - [POST /conversations/search](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/searchconversations.md): You can search for multiple conversations by the value of their attributes in order to fetch exactly which ones you want. To search for conversations, you need to send a `POST` request to `https://api
 - [POST /conversations/{conversation_id}/reply](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/replyconversation.md): You can reply to a conversation with a message from an admin or on behalf of a contact, or with a note for admins. By default, bot or Operator replies to an inbound email conversation aren't sent to y
 - [POST /conversations/{conversation_id}/parts](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/manageconversation.md): For managing conversations you can: - Close a conversation - Snooze a conversation to reopen on a future date - Open a conversation which is `snoozed` or `closed` - Assign a conversation to an admin a
 - [POST /conversations/{conversation_id}/run_assignment_rules](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/autoassignconversation.md): Run assignment rules is now deprecated in version 2.12 and future versions and will be permanently removed on December 31, 2026. After this date, any requests made to this endpoint will fail. You can
 - [POST /conversations/{conversation_id}/customers](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/attachcontacttoconversation.md): You can add participants who are contacts to a conversation, on behalf of either another contact or an admin. If you add a contact via the email parameter and there is no user/lead found on that works
 - [DELETE /conversations/{conversation_id}/customers/{contact_id}](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/detachcontactfromconversation.md): You can remove participants who are contacts from a group conversation, on behalf of an admin. You cannot remove the last remaining contact from a conversation.
 - [POST /conversations/redact](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/redactconversation.md): You can redact a conversation part or the source message of a conversation (as seen in the source object). If you are redacting a conversation part, it must have a `body`. If you are redacting a sourc
 - [POST /conversations/{conversation_id}/convert](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/convertconversationtoticket.md): You can convert a conversation to a ticket.
 - [Conversation](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/conversation.md): Schema: #/components/schemas/conversation
 - [Conversation List Item](https://developers.intercom.com/docs/references/2.11/rest-api/api.intercom.io/conversations/conversation_list_item.md): Schema: #/components/schemas/conversation_list_item
